Fork me on GitHub"

# skbio.alignment.TabularMSA.__contains__

TabularMSA.__contains__(label)

  Determine if an index label is in this MSA.

  State: Experimental as of 0.4.1.

  Parameters

    label (hashable) – Label to search for in this MSA.

  Returns

    Indicates whether label is in this MSA.

  Return type

    bool

  Examples

      >>> from skbio import DNA, TabularMSA
      >>> msa = TabularMSA([DNA('ACG'), DNA('AC-')], index=['l1', 'l2'])
      >>> 'l1' in msa
      True
      >>> 'l2' in msa
      True
      >>> 'l3' in msa
      False